#
# spec file for package perftest
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           perftest
Summary:        IB Performance tests
Version:        1.3.0
Release:        0.8.1
License:        BSD 3-Clause; GPL v2 or later
Group:          Productivity/Networking/Diagnostic
Source0:        %{name}-%{version}-0.28.gca1c30b.tar.bz2
Url:            http://www.openfabrics.org
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  libibumad-devel libibverbs-devel librdmacm-devel
ExcludeArch:    s390 s390x

%description
gen2 uverbs microbenchmarks



%prep
%setup -q

%build
export CFLAGS="$RPM_OPT_FLAGS"
%{__make}
chmod -x runme

%install
install -D -m 0755 rdma_lat $RPM_BUILD_ROOT%{_bindir}/rdma_lat
install -D -m 0755 rdma_bw $RPM_BUILD_ROOT%{_bindir}/rdma_bw
install -D -m 0755 ib_write_lat $RPM_BUILD_ROOT%{_bindir}/ib_write_lat
install -D -m 0755 ib_write_bw $RPM_BUILD_ROOT%{_bindir}/ib_write_bw
install -D -m 0755 ib_send_lat $RPM_BUILD_ROOT%{_bindir}/ib_send_lat
install -D -m 0755 ib_send_bw $RPM_BUILD_ROOT%{_bindir}/ib_send_bw
install -D -m 0755 ib_read_lat $RPM_BUILD_ROOT%{_bindir}/ib_read_lat
install -D -m 0755 ib_read_bw $RPM_BUILD_ROOT%{_bindir}/ib_read_bw
install -D -m 0755 ib_write_bw_postlist $RPM_BUILD_ROOT%{_bindir}/ib_write_bw_postlist
install -D -m 0755 ib_clock_test $RPM_BUILD_ROOT%{_bindir}/ib_clock_test

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-, root, root)
%doc README COPYING runme
%_bindir/*

%changelog
* Fri Feb 18 2011 ro@suse.de
- ExcludeArch:    s390 s390x
* Mon Oct 25 2010 jjolly@novell.com
- Update to v1.3.0 from OFED 1.5.2
* Mon May 24 2010 jjolly@novell.com
- Updated to v1.2.3 from OFED 1.5.1
- Removed unused perftest-1.2.patch
- Added libibumad-devel build dependency
- Changed name for rdma_lat and rdma_bw
* Wed Oct 22 2008 jjolly@suse.de
- Updated to version from the OFED 1.3.1 release
* Mon Mar  3 2008 jjolly@suse.de
- Updated to package from the OFED 1.3 GA release
* Mon Jul  9 2007 hvogel@suse.de
- Use correct version
* Wed Jul  4 2007 hvogel@suse.de
- Add GPL COPYING file [#289509]
* Mon Jul  2 2007 hvogel@suse.de
- Update to the OFED 1.2 version
* Fri Jun 22 2007 hvogel@suse.de
- Initial Package, Version 1.1
